Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

hg clone http://hg.kervala.net/packagingluabind
hg clone http://hg.kervala.net/cmake

export CMAKE_MODULE_PATH=$(pwd)/cmake/modules

cd packaging/luabind
mkdir build
cd build
cmake -DWITH_STATIC=ON ..
make
sudo make install

libwww-dev

Since Ubuntu lucid this package doesn't seem to exist. As Karmic support has been discontinued, you will need to use packages from a PPA or build it.
In Debian stable even the dependencies are now unavailable, so you will have to download the archive .debs
Download the package from http://hg.kervala.net/packaging/file/, uncompress it and:

cd libwww
./autogen.sh
./configure --with-ssl=no --with-zlib --with-expat --with-gnu-ld --enable-shared
make
sudo make install

 

  • Note: you may have to run : sudo chmod 755 configure : if you get an error that ./configure is not a program or permission denied.

Above source does not build on Linux Mint Debian (and maybe other Debian based distros) Binaries from Etch can be installed from the archive:

32bit

aptitude install libexpat1-dev
wget http://archive.debian.org/debian/pool/main/w/w3c-libwww/libwww0_5.4.0-11_i386.deb
wget http://archive.debian.org/debian/pool/main/w/w3c-libwww/libwww-dev_5.4.0-11_i386.deb
dpkg -i libwww0_5.4.0-11_i386.deb libwww-dev_5.4.0-11_i386.deb

...

aptitude install libexpat1-dev
wget http://archive.debian.org/debian/pool/main/w/w3c-libwww/libwww0_5.4.0-11_amd64.deb
wget http://archive.debian.org/debian/pool/main/w/w3c-libwww/libwww-dev_5.4.0-11_amd64.deb
dpkg -i libwww0_5.4.0-11_amd64.deb libwww-dev_5.4.0-11_amd64.deb

libsquish

You can compile yourself with.

hg clone http://hg.kervala.net/packagingsquish
hg clone http://hg.kervala.net/cmake

export CMAKE_MODULE_PATH=$(pwd)/cmake/modules

cd packaging/squish
mkdir build
cd build
cmake ..
make
sudo make install
 

...